> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Records

> Returns all tax records associated with an `access_token`.



## OpenAPI

````yaml GET /records
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /records:
    get:
      description: Returns all tax records associated with an `access_token`.
      parameters:
        - $ref: '#/components/parameters/ChartAPIVersion'
      responses:
        '200':
          description: Records Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Record'
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  schemas:
    Record:
      type: object
      properties:
        id:
          description: The Chart UUID assigned to this tax record.
          type: string
          example: clt0szoxp0001p82z45ufj6t4
        name:
          description: The account name retrieved from tax record provider.
          type: string
          nullable: true
          example: John Doe
        tax_year:
          type: string
          description: The tax year of the record.
          example: '2022'
        provider_id:
          description: The tax record provider associated with the access_token.
          type: string
          enum:
            - turbotax
            - hr
            - taxact
            - tax_slayer
            - jackson
            - free_tax_usa
            - irs
            - irs_tax_pro
            - pilot
            - cch_axcess
            - drake
            - proconnect
            - chart-sandbox
          example: turbotax
        date:
          type: string
          format: date-time
          description: The date of the submission in ISO 8601 format in UTC.
          example: '2024-02-26T21:33:49.428Z'
        raw_file:
          type: string
          description: >-
            A pre-signed URL pointing to the raw tax file retrieved from the
            provider. Returns a PDF file. The URL expires after 12 hours.
        forms:
          description: The parsed tax form data associated with the tax record.
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/WAID'
              - $ref: '#/components/schemas/RECA'
              - $ref: '#/components/schemas/ACTR'
              - $ref: '#/components/schemas/RETR'
              - $ref: '#/components/schemas/VENF'
              - $ref: '#/components/schemas/F1040'
              - $ref: '#/components/schemas/W2'
              - $ref: '#/components/schemas/Form1095A'
              - $ref: '#/components/schemas/FormIrs1099IntModel'
              - $ref: '#/components/schemas/FormIrs1099GModel'
    WAID:
      type: object
      properties:
        type:
          type: string
          enum:
            - WAID
          example: WAID
        year:
          type: string
          example: '2023'
        ssn:
          type: string
          example: XXX-XX-1234
        form_w2:
          type: array
          items:
            $ref: '#/components/schemas/FormW2'
        form_w2g:
          type: array
          items:
            $ref: '#/components/schemas/FormW2G'
        schedule_k1_1065:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleK1_1065'
        schedule_k1_1120s:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleK1_1120S'
        schedule_k1_1041:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleK1_1041'
        form_5498:
          type: array
          items:
            $ref: '#/components/schemas/Form5498IRA'
        form_1042_s:
          type: array
          items:
            $ref: '#/components/schemas/Form1042S'
        form_1099_misc:
          type: array
          items:
            $ref: '#/components/schemas/Form1099MISC'
        form_1099_int:
          type: array
          items:
            $ref: '#/components/schemas/Form1099INT'
        form_1099_g:
          type: array
          items:
            $ref: '#/components/schemas/Form1099G'
        form_1099_r:
          type: array
          items:
            $ref: '#/components/schemas/Form1099R'
        form_1099_div:
          type: array
          items:
            $ref: '#/components/schemas/Form1099DIV'
        form_1099_b:
          type: array
          items:
            $ref: '#/components/schemas/Form1099B'
        form_1099_nec:
          type: array
          items:
            $ref: '#/components/schemas/Form1099NEC'
        form_ssa_1099:
          type: array
          items:
            $ref: '#/components/schemas/FormSSA1099'
        form_1098:
          type: array
          items:
            $ref: '#/components/schemas/Form1098'
        form_1098_t:
          type: array
          items:
            $ref: '#/components/schemas/Form1098T'
      required:
        - type
        - year
        - ssn
    RECA:
      type: object
      oneOf:
        - $ref: '#/components/schemas/RECA_Individual'
        - $ref: '#/components/schemas/RECA_Business'
    ACTR:
      type: object
      oneOf:
        - $ref: '#/components/schemas/ACTR_Individual'
        - $ref: '#/components/schemas/ACTR_Business'
    RETR:
      type: object
      oneOf:
        - $ref: '#/components/schemas/RETR_Individual'
        - $ref: '#/components/schemas/RETR_Business'
    VENF:
      type: object
      properties:
        type:
          type: string
          enum:
            - VENF
          example: VENF
        year:
          type: string
          example: '2023'
    F1040:
      type: object
      properties:
        type:
          type: string
          enum:
            - F1040
          example: F1040
        year:
          type: string
          example: '2023'
        filing_info:
          type: object
          properties:
            name:
              type: string
            spouse_name:
              type: string
            ssn:
              type: string
            spouse_ssn:
              type: string
            home_address:
              type: string
            city:
              type: string
            state:
              type: string
            zip:
              type: string
            filing_status:
              type: string
              enum:
                - SINGLE
                - MARRIED_FILING_JOINTLY
                - MARRIED_FILING_SEPARATELY
                - HEAD_OF_HOUSEHOLD
                - QUALIFYING_WIDOW_ER
        dependents:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              ssn:
                type: string
              relationship:
                type: string
              child_tax_credit:
                type: boolean
              credit_for_other_dependents:
                type: boolean
        income:
          type: object
          properties:
            w2_wages:
              type: number
              description: 'Line 1a: Total from W-2, box 1'
            household_employee_wages:
              type: number
              description: 'Line 1b: Household employee wages not reported on W-2'
            tip_income:
              type: number
              description: 'Line 1c: Tip income not reported on line 1a'
            medicaid_waiver_payments:
              type: number
              description: 'Line 1d: Medicaid waiver payments'
            dependent_care_benefits:
              type: number
              description: 'Line 1e: Taxable dependent care benefits from Form 2441'
            adoption_benefits:
              type: number
              description: 'Line 1f: Employer-provided adoption benefits from Form 8839'
            form_8919_wages:
              type: number
              description: 'Line 1g: Wages from Form 8919'
            other_earned_income:
              type: number
              description: 'Line 1h: Other earned income'
            nontaxable_combat_pay:
              type: number
              description: 'Line 1i: Nontaxable combat pay election'
            total_wages:
              type: number
              description: 'Line 1z: Total wages (sum of 1a-1h)'
            tax_exempt_interest:
              type: number
              description: 'Line 2a: Tax-exempt interest'
            taxable_interest:
              type: number
              description: 'Line 2b: Taxable interest'
            qualified_dividends:
              type: number
              description: 'Line 3a: Qualified dividends'
            ordinary_dividends:
              type: number
              description: 'Line 3b: Ordinary dividends'
            ira_distributions:
              type: number
              description: 'Line 4a: IRA distributions'
            taxable_ira_distributions:
              type: number
              description: 'Line 4b: Taxable IRA distributions'
            pensions_annuities:
              type: number
              description: 'Line 5a: Pensions and annuities'
            taxable_pensions_annuities:
              type: number
              description: 'Line 5b: Taxable pensions and annuities'
            social_security_benefits:
              type: number
              description: 'Line 6a: Social security benefits'
            taxable_social_security_benefits:
              type: number
              description: 'Line 6b: Taxable social security benefits'
            lump_sum_election:
              type: boolean
              description: 'Line 6c: Lump-sum election method checkbox'
            capital_gain_loss:
              type: number
              description: 'Line 7: Capital gain or (loss)'
            additional_income_schedule_1:
              type: number
              description: 'Line 8: Additional income from Schedule 1, line 10'
            total_income:
              type: number
              description: 'Line 9: Total income'
            adjustments_to_income:
              type: number
              description: 'Line 10: Adjustments to income from Schedule 1, line 26'
            adjusted_gross_income:
              type: number
              description: 'Line 11: Adjusted gross income (subtract line 10 from line 9)'
            standard_or_itemized_deduction:
              type: number
              description: >-
                Line 12: Standard deduction or itemized deductions from Schedule
                A
            qualified_business_income_deduction:
              type: number
              description: >-
                Line 13: Qualified business income deduction from Form 8995 or
                8995-A
            total_deductions:
              type: number
              description: 'Line 14: Add lines 12 and 13'
            taxable_income:
              type: number
              description: 'Line 15: Taxable income (subtract line 14 from line 11)'
    W2:
      type: object
      properties:
        type:
          type: string
          enum:
            - W2
          example: W2
        year:
          type: string
          example: '2023'
        forms:
          type: array
          items:
            type: object
            properties:
              employer:
                type: object
                properties:
                  ein:
                    type: string
                    example: XX-XXX4005
                  name:
                    type: string
                    example: ACME INC.
                  address:
                    type: string
                    example: 123 Main St, Anytown, USA 12345
              employee:
                type: object
                properties:
                  ssn:
                    type: string
                    example: XXX-XX-1234
                  name:
                    type: string
                    example: JOHN DOE
                  address:
                    type: string
                    example: 123 Main St, Anytown, USA 12345
              wages:
                type: number
                example: 55738
              social_security_wages:
                type: number
                example: 55738
              medicare_wages:
                type: number
                example: 55738
              federal_income_tax_withheld:
                type: number
                example: 5490
              social_security_tax_witheld:
                type: number
                example: 3455
              medicare_tax_witheld:
                type: number
                example: 808
      required:
        - type
        - year
        - forms
    Form1095A:
      type: object
      properties:
        type:
          type: string
          enum:
            - 1095A
          example: 1095A
        year:
          type: string
          example: '2023'
        forms:
          type: array
          items:
            type: object
            properties:
              recipient_info:
                type: object
                properties:
                  policy_number:
                    type: string
                  policy_issuer:
                    type: string
                  name:
                    type: string
                  ssn:
                    type: string
                  dob:
                    type: string
                  spouse_name:
                    type: string
                  spouse_ssn:
                    type: string
                  spouse_dob:
                    type: string
                  policy_start:
                    type: string
                  policy_termination:
                    type: string
                  street_address:
                    type: string
                  city:
                    type: string
                  state:
                    type: string
                  zip_code:
                    type: string
                required:
                  - policy_number
                  - policy_issuer
                  - name
                  - ssn
                  - dob
                  - policy_start
                  - policy_termination
                  - street_address
                  - city
                  - state
                  - zip_code
              covered_individuals:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    ssn:
                      type: string
                    dob:
                      type: string
                    coverage_start:
                      type: string
                    coverage_termination:
                      type: string
                  required:
                    - name
                    - ssn
                    - dob
                    - coverage_start
                    - coverage_termination
              coverage_months:
                type: array
                description: each month is an item ordered by month number
                items:
                  type: object
                  properties:
                    monthly_enrollment_premium:
                      type: number
                    monthly_slcsp_premium:
                      type: number
                    monthly_advance_payment:
                      type: number
                  required:
                    - monthly_enrollment_premium
                    - monthly_slcsp_premium
                    - monthly_advance_payment
              annual_totals:
                type: object
                properties:
                  monthly_enrollment_premium:
                    type: number
                  monthly_slcsp_premium:
                    type: number
                  monthly_advance_payment:
                    type: number
                required:
                  - monthly_enrollment_premium
                  - monthly_slcsp_premium
                  - monthly_advance_payment
            required:
              - recipient_info
              - covered_individuals
              - coverage_months
              - annual_totals
      required:
        - type
        - year
        - forms
    FormIrs1099IntModel:
      type: object
      properties:
        type:
          type: string
          enum:
            - 1099INT
          example: 1099INT
        year:
          type: string
          example: '2023'
        forms:
          type: array
          items:
            type: object
            properties:
              payer_info:
                type: object
                properties:
                  name:
                    type: string
                  tin:
                    type: string
                  address:
                    type: string
                required:
                  - name
                  - tin
                  - address
              recipient_info:
                type: object
                properties:
                  name:
                    type: string
                  tin:
                    type: string
                  address:
                    type: string
                required:
                  - name
                  - tin
                  - address
              interest_income:
                type: number
              early_withdrawal_penalty:
                type: number
              savings_bonds_and_treasury_interest:
                type: number
              federal_income_tax_withheld:
                type: number
              investment_expenses:
                type: number
              foreign_tax_paid:
                type: number
              foreign_country:
                type: string
              tax_exempt_interest:
                type: number
              specified_private_activity_bond_interest:
                type: number
              market_discount:
                type: number
              bond_premium:
                type: number
              bond_premium_on_treasury_obligations:
                type: number
              bond_premium_on_tax_exempt_bond:
                type: number
              fatca_checked:
                type: boolean
              account_number:
                type: string
              tax_exempt_and_tax_credit_bond_cusip_no:
                type: string
            required:
              - form_corrected
              - payer_info
              - recipient_info
              - interest_income
              - early_withdrawal_penalty
              - savings_bonds_and_treasury_interest
              - federal_income_tax_withheld
              - investment_expenses
              - foreign_tax_paid
              - tax_exempt_interest
              - specified_private_activity_bond_interest
              - market_discount
              - bond_premium
              - bond_premium_on_treasury_obligations
              - bond_premium_on_tax_exempt_bond
              - fatca_checked
              - account_number
      required:
        - type
        - year
        - forms
    FormIrs1099GModel:
      type: object
      properties:
        payer:
          type: object
          properties:
            name:
              type: string
            tin:
              type: string
            address:
              type: string
          required:
            - name
            - tin
            - address
        recipient:
          type: object
          properties:
            name:
              type: string
            tin:
              type: string
            address:
              type: string
          required:
            - name
            - tin
            - address
        unemployment_compensation:
          type: number
        state_local_income_tax_refunds:
          type: number
        year_of_refund:
          type: integer
        federal_income_tax_withheld:
          type: number
        rtaa_payments:
          type: number
        taxable_grants:
          type: number
        agriculture_payments:
          type: number
        trade_or_business_income:
          type: boolean
        market_gain:
          type: number
        account_number:
          type: string
          nullable: true
      required:
        - payer
        - recipient
        - unemployment_compensation
        - state_local_income_tax_refunds
        - year_of_refund
        - federal_income_tax_withheld
        - rtaa_payments
        - taxable_grants
        - agriculture_payments
        - trade_or_business_income
        - market_gain
    FormW2:
      type: object
      properties:
        employer:
          type: object
          properties:
            name:
              type: string
              example: META
            address:
              type: string
              example: 1 HAC
            ein:
              type: string
              example: XXXXX2001
        employee:
          type: object
          properties:
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: 123 WA
            ssn:
              type: string
              example: XXX-XX-1234
        submission_type:
          type: string
          example: Original document
        wages_tips_other_compensation:
          type: number
          example: 55738
        federal_income_tax_withheld:
          type: number
          example: 5490
        social_security_wages:
          type: number
          example: 55738
        social_security_tax_withheld:
          type: number
          example: 3455
        medicare_wages_tips:
          type: number
          example: 55738
        medicare_tax_withheld:
          type: number
          example: 808
        social_security_tips:
          type: number
          example: 0
        allocated_tips:
          type: number
          example: 0
        dependent_care_benefits:
          type: number
          example: 0
        deferred_compensation:
          type: number
          example: 0
        nonqualified_plans:
          type: number
          example: 0
        code_q:
          type: number
          example: 0
        code_w:
          type: number
          example: 0
        code_y:
          type: number
          example: 0
        code_z:
          type: number
          example: 0
        code_r:
          type: number
          example: 0
        code_s:
          type: number
          example: 0
        code_t:
          type: number
          example: 0
        code_v:
          type: number
          example: 0
        code_aa:
          type: number
          example: 0
        code_bb:
          type: number
          example: 0
        code_dd:
          type: number
          example: 2227
        code_ee:
          type: number
          example: 0
        code_ff:
          type: number
          example: 0
        code_gg:
          type: number
          example: 0
        code_hh:
          type: number
          example: 0
        third_party_sick_pay_indicator:
          type: boolean
          example: false
        retirement_plan_indicator:
          type: boolean
          example: false
        statutory_employee:
          type: boolean
          example: false
        w2_whc_ssn_validation_code:
          type: string
          example: Correct SSN
    FormW2G:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
            name:
              type: string
            address:
              type: string
        winner:
          type: object
          properties:
            tin:
              type: string
            name:
              type: string
            address:
              type: string
        submission_type:
          type: string
        gross_winnings:
          type: number
        federal_income_tax_withheld:
          type: number
        type_of_wager:
          type: string
        date_won:
          type: string
          format: date
        winnings_from_identical_wagers:
          type: number
    ScheduleK1_1065:
      type: object
      properties:
        partnership:
          type: object
          properties:
            ein:
              type: string
              example: '123456789'
            name:
              type: string
              example: Test, Inc.
            address:
              type: string
              example: |-
                PO BOX 1234
                SEATTLE, WA 94111-0000
        partner:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME RESORT 
                JOHN CITY, UT 1234-0000
        submission_type:
          type: string
          example: Original document
        partner_share_of_capital_beginning:
          type: number
          example: 0.01
        partner_share_of_capital_end:
          type: number
          example: 0.01
        ira_sep_keogh_indicator:
          type: string
          example: N/A
        tax_period_beginning:
          type: string
          example: '202301'
        tax_period_end:
          type: string
          example: '202312'
        sch_k3:
          type: string
          example: Box is not checked
        dividends:
          type: number
          example: 0
        interest:
          type: number
          example: 636
        royalties:
          type: number
          example: 0
        ordinary_income_k1:
          type: number
          example: 0
        real_estate:
          type: number
          example: 0
        other_rental:
          type: number
          example: 0
        total_guaranteed_payments:
          type: number
          example: 0
        section_179_expenses:
          type: number
          example: 0
        capital_gain_short:
          type: number
          example: 0
        capital_gain_long:
          type: number
          example: 0
        part_iii_other_income_loss:
          type: number
          example: 0
        part_iii_other_deduction:
          type: number
          example: 0
        nonrecourse_beginning:
          type: number
          example: 0
        nonrecourse_end:
          type: number
          example: 0
        qualified_nonrecourse_beginning:
          type: number
          example: 0
        qualified_nonrecourse_end:
          type: number
          example: 0
        recourse_beginning:
          type: number
          example: 0
        recourse_end:
          type: number
          example: 0
        dividend_equivalents:
          type: number
          example: 0
    ScheduleK1_1120S:
      type: object
      properties:
        corporation:
          type: object
          properties:
            ein:
              type: string
              example: '123456789'
            name:
              type: string
              example: TEST LLC
            address:
              type: string
              example: |-
                1 MARKET ST
                SAN FRANCISCO, CA 80129-7382
        shareholder:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        dividends:
          type: number
          example: 0
        interest:
          type: number
          example: 12022
        royalties:
          type: number
          example: 0
        ordinary_income_k1:
          type: number
          example: 250000
        real_estate:
          type: number
          example: 0
        other_rental:
          type: number
          example: 0
        section_179_expenses:
          type: number
          example: 14224
        short_term_capital_gain:
          type: number
          example: 0
        long_term_capital_gain:
          type: number
          example: 0
        credits:
          type: number
          example: 0
        part_iii_other_income_loss:
          type: number
          example: 0
        part_iii_other_deduction:
          type: number
          example: 0
        credits_code_1:
          type: string
          example: Insignificant
        credits_code_2:
          type: string
          example: Insignificant
        shareholder_percentage_of_stock:
          type: string
          example: 33.333%
        beginning_tax_period:
          type: string
          example: '202301'
        ending_tax_period:
          type: string
          example: '202312'
    ScheduleK1_1041:
      type: object
      properties:
        fiduciary:
          type: object
          properties:
            ein:
              type: string
              example: '123456789'
            name:
              type: string
              example: Test Fiduciary
            address:
              type: string
              example: |-
                123 Fiduciary St
                City, State 12345
        beneficiary:
          type: object
          properties:
            id:
              type: string
              example: 987-65-4321
            name:
              type: string
              example: John Beneficiary
            address:
              type: string
              example: |-
                456 Beneficiary Ave
                City, State 67890
        submission_type:
          type: string
          example: Original document
        dividends:
          type: number
          example: 1000
        interest:
          type: number
          example: 500
        ordinary_business_income:
          type: number
          example: 2000
        short_term_capital_gain:
          type: number
          example: 150
        long_term_capital_gain:
          type: number
          example: 300
        net_rental_real_estate_income:
          type: number
          example: 400
        other_rental_income:
          type: number
          example: 250
        other_information:
          type: number
          example: 50
        other_portfolio_and_non_business_income:
          type: number
          example: 75
        other_information_codes:
          type: array
          items:
            type: string
            example: Code1
        beginning_tax_period:
          type: string
          example: '202301'
        ending_tax_period:
          type: string
          example: '202312'
    Form5498IRA:
      type: object
      properties:
        trustee:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: TEST CUSTODIAN
            address:
              type: string
              example: |-
                1 MARKET ST
                SAN FRANCISCO, CA 80129-7382
        participant:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: '123435'
        ira_contributions:
          type: number
          example: 0
        rollover_contributions:
          type: number
          example: 0
        roth_conversion_amount:
          type: number
          example: 0
        recharacterized_contributions:
          type: number
          example: 0
        fair_market_value_of_account:
          type: number
          example: 28988
        life_insurance_cost:
          type: number
          example: 0
        sep_code:
          type: boolean
          example: false
        ira_code:
          type: boolean
          example: false
        simple_code:
          type: boolean
          example: false
        roth_ira_code:
          type: boolean
          example: true
        rmd_subsequent_year:
          type: string
          example: RMD box not checked
        rmd_date:
          type: string
          example: 00-00-0000
        year:
          type: string
          example: ''
        postponed_contribution_code:
          type: string
          example: ''
        repayments_code:
          type: string
          example: ''
        sep_contributions:
          type: number
          example: 0
        simple_contributions:
          type: number
          example: 0
        roth_ira_contributions:
          type: number
          example: 6167
        required_minimum_distribution:
          type: number
          example: 0
        postponed_contributions:
          type: number
          example: 0
        fair_market_value_specified_assets:
          type: number
          example: 0
    Form1042S:
      type: object
      properties:
        withholding_agent:
          type: object
          properties:
            ein:
              type: string
              example: XXXXX1234
            name:
              type: string
              example: YALE
            address:
              type: string
              example: P.O. B
        recipient:
          type: object
          properties:
            id:
              type: string
              example: XXX-XX-1234
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: 1 ST
        submission_type:
          type: string
          example: Original document
        withholding_agent_province_code:
          type: string
          example: ''
        withholding_agent_country_code:
          type: string
          example: ''
        unique_form_identifier:
          type: string
          example: '0040000213'
        return_type:
          type: string
          example: Original
        number_or_space:
          type: string
          example: ''
        recipient_country_code:
          type: string
          example: ''
        recipient_account_number:
          type: string
          example: XXXX1234
        withholding_occurred_in_subsequent_year:
          type: string
          example: Box not checked no withholding in subsequent year
        withholding_agent_ein_type:
          type: string
          example: EIN
        pro_rata_basis_reporting:
          type: string
          example: Not Checked
        income_code:
          type: string
          example: Scholarship or Fellowship Grants
        recipient_foreign_tax_identifying_number:
          type: string
          example: XXXXXXX1234
        gross_income:
          type: number
          example: 10491
        withholding_allowance:
          type: number
          example: 0
        net_income:
          type: number
          example: 0
        tax_rate_chapter_3:
          type: number
          example: 14
        exemption_code_chapter_3:
          type: number
          example: 0
        tax_rate_chapter_4:
          type: number
          example: 0
        exemption_code_chapter_4:
          type: string
          example: Excluded nonfinancial payment
        us_federal_tax_withheld:
          type: number
          example: 1469
        overwithheld_tax_repaid_to_recipient:
          type: number
          example: 0
        nqi_flow_through_entity_ein:
          type: string
          example: ''
        nqi_flow_province_code:
          type: string
          example: ''
        nqi_flow_country_code:
          type: string
          example: ''
        nqi_flow_postal_code:
          type: string
          example: ''
        nqi_flow_through_name:
          type: string
          example: ''
        payer_tin:
          type: string
          example: ''
        payer_name:
          type: string
          example: ''
        state_income_tax_withheld:
          type: number
          example: 0
        withholding_by_other_agents:
          type: number
          example: 0
        payer_state_tax_no:
          type: string
          example: XXXXXX99-0
        state_code:
          type: string
          example: CT
        total_withholding_credit:
          type: number
          example: 1469
        tax_paid_by_withholding_agent:
          type: number
          example: 0
        chapter_3_or_chapter_4_indicator:
          type: string
          example: Form was filed Chapter 3
        tax_not_deposited_under_escrow_procedure_checkbox:
          type: string
          example: Check box not checked
        recipient_chapter_3_status_code:
          type: string
          example: Individual
        recipient_chapter_4_status_code:
          type: string
          example: ''
        recipient_giin:
          type: string
          example: ''
        recipient_birthdate:
          type: string
          example: 01-13-2000
        primary_withholding_agent_name:
          type: string
          example: ''
        primary_withholding_agent_ein:
          type: string
          example: '000000000'
        intermediary_or_flow_through_entity_chapter_3_status_code:
          type: string
          example: ''
        intermediary_or_flow_through_entity_chapter_4_status_code:
          type: string
          example: ''
        intermediary_or_flow_through_entity_foreign_tax_id_number:
          type: string
          example: ''
        intermediary_or_flow_through_entity_giin:
          type: string
          example: ''
        withholding_agent_chapter_3_status_code:
          type: string
          example: Tax Exempt Organization (Section 501(c) entities)
        withholding_agent_chapter_4_status_code:
          type: string
          example: Section 501(c) Entities
        withholding_agent_foreign_taxpayer_id_number:
          type: string
          example: ''
        withholding_agent_giin:
          type: string
          example: ''
        payer_giin:
          type: string
          example: ''
        lob_code:
          type: string
          example: ''
        payer_chapter_3_status_code:
          type: string
          example: ''
        payer_chapter_4_status_code:
          type: string
          example: ''
    Form1099MISC:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '464364776'
            name:
              type: string
              example: |-
                ROBINHOOD MARKETS INC. AS AGENT FOR
                ROBINHOOD SECURITIES LLC
            address:
              type: string
              example: |-
                85 WILLOW ROAD
                MENLO PARK, CA 94025-0000
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: '11063535390'
        tax_withheld:
          type: number
          example: 0
        medical_payments:
          type: number
          example: 0
        fishing_income:
          type: number
          example: 0
        rents:
          type: number
          example: 0
        royalties:
          type: number
          example: 0
        other_income:
          type: number
          example: 0
        substitute_payments_for_dividends:
          type: number
          example: 403
        excess_golden_parachute:
          type: number
          example: 0
        crop_insurance:
          type: number
          example: 0
        attorney_fees:
          type: number
          example: 0
        foreign_tax_paid:
          type: number
          example: 0
        section_409a_deferrals:
          type: number
          example: 0
        nonqualified_deferred_compensation:
          type: number
          example: 0
        fish_purchased_for_resale:
          type: number
          example: 0
        direct_sales_indicator:
          type: boolean
          example: false
        fatca:
          type: boolean
          example: false
        second_notice_indicator:
          type: boolean
          example: false
    Form1099INT:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: XXXXX4085
            name:
              type: string
              example: MERR
            address:
              type: string
              example: 1500 A
        recipient:
          type: object
          properties:
            id:
              type: string
              example: XXX-XX-1234
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: 123 WA
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: XXXX1T23
        interest_income:
          type: number
          example: 3300
        tax_withheld:
          type: number
          example: 0
        savings_bonds:
          type: number
          example: 0
        investment_expense:
          type: number
          example: 0
        interest_forfeiture:
          type: number
          example: 0
        foreign_tax_paid:
          type: number
          example: 0
        tax_exempt_interest:
          type: number
          example: 0
        specified_private_activity_bond_interest:
          type: number
          example: 0
        market_discount:
          type: number
          example: 0
        bond_premium:
          type: number
          example: 0
        bond_premium_on_tax_exempt_bond:
          type: number
          example: 0
        bond_premium_on_treasury_obligation:
          type: number
          example: 0
        second_notice_indicator:
          type: string
          example: No Second Notice
        cusip:
          type: string
          example: '037833100'
        fatca:
          type: boolean
          example: false
    Form1099G:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: CALIFORNIA STATE TAX COMMISSION
            address:
              type: string
              example: |-
                1 MARKET ST
                SAN FRANCISCO, CA 80129-7382
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: '79737472012312022'
        rtaa_payments:
          type: number
          example: 0
        tax_withheld:
          type: number
          example: 0
        taxable_grants:
          type: number
          example: 0
        unemployment_compensation:
          type: number
          example: 0
        agricultural_subsidies:
          type: number
          example: 0
        prior_year_refund:
          type: number
          example: 3678
        market_gain_commodity_credit_corporation_loans:
          type: number
          example: 0
        year_of_refund:
          type: number
          example: 2022
        offset:
          type: string
          example: Not Refund, Credit, or Offset for Trade or Business
        second_tin_notice:
          type: boolean
          example: false
    Form1099R:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: Payer Name
            address:
              type: string
              example: Payer Address
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: Recipient Name
            address:
              type: string
              example: Recipient Address
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: Optional Account Number
        distribution_codes:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
                example: Distribution Value
              code:
                type: string
                example: Distribution Code
        tax_amount_undetermined_code:
          type: boolean
          example: false
        total_distribution_code:
          type: boolean
          example: false
        first_year_roth_contribution:
          type: string
          example: First Year Roth Contribution
        sep_indicator:
          type: string
          example: SEP Indicator
        fatca:
          type: boolean
          example: false
        date_of_payment_for_reportable_death_benefits:
          type: string
          example: Date of Payment
        Tax Withheld:
          type: number
          example: 0
        total_employee_contributions:
          type: number
          example: 0
        unrealized_appreciation:
          type: number
          example: 0
        other_income:
          type: number
          example: 0
        gross_distribution:
          type: number
          example: 0
        taxable_amount:
          type: number
          example: 0
        eligible_capital_gains:
          type: number
          example: 0
        amount_to_irr:
          type: number
          example: 0
    Form1099DIV:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: Test, Inc.
            address:
              type: string
              example: |-
                1 WHITE HOUSE
                DALLAS, TX 12345-0000
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: 3TQ26707000000000001
        tax_withheld:
          type: number
          example: 0
        capital_gains:
          type: number
          example: 0
        non_dividend_distribution:
          type: number
          example: 0
        cash_liquidation_distribution:
          type: number
          example: 0
        non_cash_liquidation_distribution:
          type: number
          example: 0
        investment_expense:
          type: number
          example: 0
        ordinary_dividend:
          type: number
          example: 29
        collectibles_28_percent_gain:
          type: number
          example: 0
        unrecaptured_section_1250_gain:
          type: number
          example: 0
        section_1202_gain:
          type: number
          example: 0
        foreign_tax_paid:
          type: number
          example: 0
        qualified_dividends:
          type: number
          example: 29
        section_199a_reit_dividends:
          type: number
          example: 0
        second_notice_indicator:
          type: string
          example: No Second Notice
        fatca:
          type: boolean
          example: false
        exempt_interest_dividends:
          type: number
          example: 0
        specified_private_activity_bond_interest_dividend:
          type: number
          example: 0
        section_897_ordinary_dividends:
          type: number
          example: 0
        section_897_capital_gain:
          type: number
          example: 0
    Form1099B:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: CHARLES SCHWAB & CO., INC.
            address:
              type: string
              example: |-
                9800 SCHWAB WAY
                LONE TREE, CO 80124-0000
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: '1242542353'
        date_sold_or_disposed:
          type: string
          example: 10-11-2023
        cusip:
          type: string
          example: '123456789'
        gross_proceeds:
          type: number
          example: 0
        federal_income_tax_withheld:
          type: number
          example: 0
        proceeds:
          type: number
          example: 0
        aggregate_profit_loss:
          type: number
          example: 0
        realized_profit_loss:
          type: number
          example: 0
        unrealized_profit_loss_prior_year:
          type: number
          example: 0
        unrealized_profit_loss_current_year:
          type: number
          example: 0
        cost_basis:
          type: number
          example: 0
        wash_sale_loss_disallowed:
          type: number
          example: 0
        accrued_market_discount:
          type: number
          example: 0
        description:
          type: string
          example: 50 SHARES ISHARES SHORT TREASURY
        second_notice_indicator:
          type: string
          example: No Second Notice
        date_acquired:
          type: string
          example: 00-00-0000
        noncovered_security_indicator:
          type: string
          example: Nothing checked
        type_gain_loss:
          type: string
          example: Short-term
        loss_not_allowed_indicator:
          type: string
          example: ''
        fatca:
          type: boolean
          example: false
        proceeds_from:
          type: string
          example: Box not checked
    Form1099NEC:
      type: object
      properties:
        issuer_provider:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: ISSUER NAME
            address:
              type: string
              example: |-
                123 ISSUER ADDRESS
                CITY, STATE ZIP
        recipient:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: RECIPIENT NAME
            address:
              type: string
              example: |-
                123 RECIPIENT ADDRESS
                CITY, STATE ZIP
        submission_type:
          type: string
          example: Original document
        second_notice_indicator:
          type: boolean
          example: false
        federal_income_tax_withheld:
          type: number
          example: 0
        non_employee_compensation:
          type: number
          example: 5000
        direct_sales_indicator:
          type: boolean
          example: false
    FormSSA1099:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: PAYER NAME
            address:
              type: string
              example: |-
                123 PAYER ADDRESS
                CITY, STATE ZIP
        payee:
          type: object
          properties:
            id:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: PAYEE NAME
            address:
              type: string
              example: |-
                123 PAYEE ADDRESS
                CITY, STATE ZIP
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: '1234567890'
        pensions_and_annuities:
          type: number
          example: 10000
        tax_withheld:
          type: number
          example: 1000
        repayments:
          type: number
          example: 500
        workmans_compensation_offset:
          type: number
          example: 200
        payments:
          type: array
          items:
            type: object
            properties:
              year:
                type: string
                example: '2023'
              payment:
                type: number
                example: 1200
        trust_fund_indicator:
          type: string
          example: A
        SSA/RRB Payments:
          type: string
          example: '5000.0'
    Form1098:
      type: object
      properties:
        recipient_lender:
          type: object
          properties:
            fin:
              type: string
              example: '123456789'
            name:
              type: string
              example: TEST FSB
            address:
              type: string
              example: |-
                1 MARKET ST
                SAN FRANCISCO, CA 80129-7382
        payer_borrower:
          type: object
          properties:
            ssn:
              type: string
              example: 123-45-6789
            name:
              type: string
              example: JOHN SMIT
            address:
              type: string
              example: |-
                123 HOME
                 SUN CITY, CA 91111-6623
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: MTG013534664
        mortgage_interest_received:
          type: number
          example: 694
        points_paid_on_purchase:
          type: number
          example: 0
        refund_of_overpaid_interest:
          type: number
          example: 0
        mortgage_insurance_premiums:
          type: number
          example: 0
        outstanding_mortgage_principal:
          type: number
          example: 200000
        mortgage_origination_date:
          type: string
          example: 02-12-2018
        address_of_property_securing_mortgage:
          type: string
          example: 123 W 20th
        other_information_from_recipient:
          type: string
          example: SAN FRANCISCO CA 94117
        number_of_mortgaged_properties:
          type: integer
          example: 0
        mortgage_acquisition_date:
          type: string
          example: 00-00-0000
    Form1098T:
      type: object
      properties:
        payer:
          type: object
          properties:
            fin:
              type: string
              example: XXXXX1234
            name:
              type: string
              example: YALE
            address:
              type: string
              example: 246 CH
        recipient:
          type: object
          properties:
            id:
              type: string
              example: XXX-XX-1234
            name:
              type: string
              example: SMIT JOHN
            address:
              type: string
              example: 1 ST
        submission_type:
          type: string
          example: Original document
        account_number:
          type: string
          example: XXXXXXXXXXXX1234
        qualified_tuition_and_related_expenses:
          type: number
          example: 0
        scholarships_grants:
          type: number
          example: 38241
        half_time_student_indicator:
          type: string
          example: Grtr than or Eq to Half Time Student
        graduate_student_indicator:
          type: string
          example: Not a Graduate Student
        academic_period_code:
          type: string
          example: Academic Period Box Not Checked
        tin_checkbox:
          type: boolean
          example: true
        adjustments_made_for_prior_year:
          type: number
          example: 0
        adjustments_to_scholarships_or_grants_for_a_prior_year:
          type: number
          example: 0
        reimbursements_refunds_from_an_insurance_contract:
          type: number
          example: 0
    RECA_Individual:
      type: object
      properties:
        type:
          type: string
          enum:
            - RECA
          example: RECA
        year:
          type: string
          example: '2023'
        form_number:
          type: string
        name:
          type: string
        address:
          type: string
        filing_status:
          $ref: '#/components/schemas/FilingStatusEnum'
        tin:
          type: string
        spouse_tin:
          type: string
        remittance:
          type: number
        ptin:
          type: string
        preparer_ein:
          type: string
        account_summary:
          $ref: '#/components/schemas/AccountSummaryModel'
        return_summary:
          $ref: '#/components/schemas/ReturnSummaryModel'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionModel'
        dependents:
          type: array
          items:
            $ref: '#/components/schemas/DependentModel'
        original_return:
          type: object
          properties:
            income:
              $ref: '#/components/schemas/IncomeModel'
            refund_or_amount_owed:
              $ref: '#/components/schemas/RefundOrAmountOwedModel'
            income_adjustments:
              $ref: '#/components/schemas/AdjustmentsToIncomeModel'
            tax_and_credits:
              $ref: '#/components/schemas/TaxAndCreditsModel'
            payments:
              $ref: '#/components/schemas/PaymentsModel'
            other_taxes:
              $ref: '#/components/schemas/OtherTaxesModel'
            sch_c:
              type: array
              items:
                $ref: '#/components/schemas/ScheduleCModel'
            sch_se:
              type: array
              items:
                $ref: '#/components/schemas/ScheduleSEModel'
            sch_eic:
              type: array
              items:
                $ref: '#/components/schemas/ScheduleEICModel'
            sch_a:
              type: array
              items:
                $ref: '#/components/schemas/ScheduleAModel'
            sch_d:
              $ref: '#/components/schemas/ScheduleDModel'
            third_party_designee:
              $ref: '#/components/schemas/ThirdPartyDesigneeDetailsModel'
            form8863:
              $ref: '#/components/schemas/Form8863Model'
            form8962:
              $ref: '#/components/schemas/Form8962Model'
            form2441:
              $ref: '#/components/schemas/Form2441Model'
            form8995:
              $ref: '#/components/schemas/Form8995Model'
            form8867:
              $ref: '#/components/schemas/Form8867Model'
          required:
            - income
            - income_adjustments
            - tax_and_credits
            - payments
            - other_taxes
      required:
        - type
        - year
        - form_number
        - name
        - address
        - filing_status
        - tin
        - account_summary
        - return_summary
        - transactions
        - dependents
        - original_return
    RECA_Business:
      type: object
      properties:
        type:
          type: string
          enum:
            - RECA
          example: RECA
        year:
          type: string
          example: '2023'
        name:
          type: string
        address:
          type: string
        form_number:
          type: string
        tin:
          type: string
        account_summary:
          $ref: '#/components/schemas/AccountSummaryModel'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionModel'
        return_summary:
          $ref: '#/components/schemas/ReturnSummaryBusinessModel'
        original_return:
          type: object
          properties:
            indicators_codes_misc:
              $ref: >-
                #/components/schemas/IndicatorsCodesAndMiscellaneousInformationBusinessModel
            income:
              $ref: '#/components/schemas/IncomeBusinessModel'
            deductions:
              $ref: '#/components/schemas/DeductionsBusinessModel'
            tax_and_payments:
              $ref: '#/components/schemas/TaxAndPaymentsBusinessModel'
            sch_a:
              $ref: '#/components/schemas/ScheduleABusinessModel'
            sch_k:
              $ref: '#/components/schemas/ScheduleKBusinessModel'
            sch_l:
              $ref: '#/components/schemas/ScheduleLBusinessModel'
            form5884b:
              $ref: '#/components/schemas/Form5884BModel'
            form4626:
              $ref: '#/components/schemas/Form4626Model'
            form3800:
              $ref: '#/components/schemas/Form3800BusinessModel'
            credits:
              $ref: '#/components/schemas/CreditsFormBusinessModel'
      required:
        - type
        - year
        - name
        - address
        - form_number
        - tin
        - account_summary
        - transactions
        - return_summary
        - original_return
    ACTR_Individual:
      type: object
      properties:
        type:
          type: string
          enum:
            - ACTR
          example: ACTR
        year:
          type: string
          example: '2023'
        form_number:
          type: string
        name:
          type: string
        address:
          type: string
        filing_status:
          $ref: '#/components/schemas/FilingStatusEnum'
        tin:
          type: string
        spouse_tin:
          type: string
        remittance:
          type: number
        ptin:
          type: string
        preparer_ein:
          type: string
        account_summary:
          $ref: '#/components/schemas/AccountSummaryModel'
        return_summary:
          $ref: '#/components/schemas/ReturnSummaryModel'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionModel'
      required:
        - type
        - year
        - name
        - address
        - form_number
        - tin
        - account_summary
        - transactions
        - return_summary
    ACTR_Business:
      type: object
      properties:
        type:
          type: string
          enum:
            - ACTR
          example: ACTR
        year:
          type: string
          example: '2023'
        form_number:
          type: string
        name:
          type: string
        address:
          type: string
        tin:
          type: string
        remittance:
          type: number
        ptin:
          type: string
        preparer_ein:
          type: string
        account_summary:
          $ref: '#/components/schemas/AccountSummaryModel'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionModel'
        return_summary:
          $ref: '#/components/schemas/ReturnSummaryBusinessModel'
      required:
        - type
        - year
        - name
        - address
        - form_number
        - tin
        - account_summary
        - transactions
        - return_summary
    RETR_Individual:
      type: object
      properties:
        type:
          type: string
          enum:
            - RETR
          example: RETR
        year:
          type: string
          example: '2023'
        form_number:
          type: string
        name:
          type: string
        address:
          type: string
        filing_status:
          $ref: '#/components/schemas/FilingStatusEnum'
        tin:
          type: string
        spouse_tin:
          type: string
        dependents:
          type: array
          items:
            $ref: '#/components/schemas/DependentModel'
        income:
          $ref: '#/components/schemas/IncomeModel'
        refund_or_amount_owed:
          $ref: '#/components/schemas/RefundOrAmountOwedModel'
        income_adjustments:
          $ref: '#/components/schemas/AdjustmentsToIncomeModel'
        tax_and_credits:
          $ref: '#/components/schemas/TaxAndCreditsModel'
        payments:
          $ref: '#/components/schemas/PaymentsModel'
        other_taxes:
          $ref: '#/components/schemas/OtherTaxesModel'
        sch_c:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleCModel'
        sch_se:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleSEModel'
        sch_eic:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleEICModel'
        sch_a:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleAModel'
        sch_d:
          $ref: '#/components/schemas/ScheduleDModel'
        third_party_designee:
          $ref: '#/components/schemas/ThirdPartyDesigneeDetailsModel'
        form8863:
          $ref: '#/components/schemas/Form8863Model'
        form8962:
          $ref: '#/components/schemas/Form8962Model'
        form2441:
          $ref: '#/components/schemas/Form2441Model'
        form8995:
          $ref: '#/components/schemas/Form8995Model'
        form8867:
          $ref: '#/components/schemas/Form8867Model'
      required:
        - income
        - income_adjustments
        - tax_and_credits
        - payments
        - other_taxes
    RETR_Business:
      type: object
      properties:
        type:
          type: string
          enum:
            - RETR
          example: RETR
        year:
          type: string
          example: '2023'
        name:
          type: string
        address:
          type: string
        form_number:
          type: string
        tin:
          type: string
        indicators_codes_misc:
          $ref: >-
            #/components/schemas/IndicatorsCodesAndMiscellaneousInformationBusinessModel
        income:
          $ref: '#/components/schemas/IncomeBusinessModel'
        deductions:
          $ref: '#/components/schemas/DeductionsBusinessModel'
        tax_and_payments:
          $ref: '#/components/schemas/TaxAndPaymentsBusinessModel'
        sch_a:
          $ref: '#/components/schemas/ScheduleABusinessModel'
        sch_k:
          $ref: '#/components/schemas/ScheduleKBusinessModel'
        sch_l:
          $ref: '#/components/schemas/ScheduleLBusinessModel'
        form5884b:
          $ref: '#/components/schemas/Form5884BModel'
        form4626:
          $ref: '#/components/schemas/Form4626Model'
        form3800:
          $ref: '#/components/schemas/Form3800BusinessModel'
        credits:
          $ref: '#/components/schemas/CreditsFormBusinessModel'
    FilingStatusEnum:
      type: string
      enum:
        - SINGLE
        - MARRIED_FILING_JOINTLY
        - MARRIED_FILING_SEPARATELY
        - HEAD_OF_HOUSEHOLD
        - QUALIFYING_WIDOW_ER
    AccountSummaryModel:
      type: object
      properties:
        account_balance:
          type: number
        accrued_interest:
          $ref: '#/components/schemas/AccruedAmountModel'
        accrued_penalty:
          $ref: '#/components/schemas/AccruedAmountModel'
        account_balance_plus_accruals:
          $ref: '#/components/schemas/AccruedAmountModel'
        exemptions:
          type: integer
      required:
        - account_balance
        - accrued_interest
        - accrued_penalty
    ReturnSummaryModel:
      type: object
      properties:
        filing_status:
          $ref: '#/components/schemas/FilingStatusEnum'
        adjusted_gross_income:
          type: number
        taxable_income:
          type: number
        tax_per_return:
          type: number
        se_taxable_income_taxpayer:
          type: number
        se_taxable_income_spouse:
          type: number
        total_self_employment_tax:
          type: number
        return_due_received_date:
          type: string
        processing_date:
          type: string
      required:
        - filing_status
        - adjusted_gross_income
    TransactionModel:
      type: object
      properties:
        code:
          type: string
        explanation_of_transaction:
          type: string
        cycle:
          type: string
        date:
          type: string
        amount:
          type: number
      required:
        - code
        - explanation_of_transaction
        - amount
    DependentModel:
      type: object
      properties:
        name:
          type: string
        ssn:
          type: string
      required:
        - name
        - ssn
    IncomeModel:
      type: object
      properties:
        total_wages:
          type: number
        w2_wages:
          type: number
        sch_b_taxable_interest_income:
          type: number
        tax_exempt_interest:
          type: number
        sch_b_ordinary_dividend_income:
          type: number
        qualified_dividends:
          type: number
        state_local_refunds:
          type: number
        alimony_received:
          type: number
        sch_c_business_income_or_loss:
          type: number
        sch_c_business_income_or_loss_per_computer:
          type: number
        sch_d_capital_gain_or_loss:
          type: number
        sch_d_capital_gain_or_loss_per_computer:
          type: number
        form4797_gains_or_losses:
          type: number
        total_ira_distributions:
          type: number
        taxable_ira_distributions:
          type: number
        total_pensions_and_annuities:
          type: number
        taxable_pension_annuity_amount:
          type: number
        additional_income:
          type: number
        additional_income_per_computer:
          type: number
        refundable_credits_per_computer:
          type: number
        refundable_education_credit_per_computer:
          type: number
        qualified_business_income_deduction:
          type: number
        sch_e_rent_royalty_partnership_estate:
          type: number
        sch_e_rent_royalty_partnership_estate_per_computer:
          type: number
        sch_e_rent_royalty_income_loss_per_computer:
          type: number
        estate_trust_income_loss_per_computer:
          type: number
        partnership_s_corp_income_loss_per_computer:
          type: number
        sch_f_farm_income_or_loss:
          type: number
        sch_f_farm_income_or_loss_per_computer:
          type: number
        unemployment_compensation:
          type: number
        total_social_security_benefits:
          type: number
        taxable_social_security_benefits:
          type: number
        taxable_social_security_benefits_per_computer:
          type: number
        other_income:
          type: number
        sch_eic_self_employment_income_per_computer:
          type: number
        sch_eic_earned_income_per_computer:
          type: number
        sch_eic_disqualified_income_per_computer:
          type: number
        excess_advance_child_tax_credit_per_computer:
          type: number
        primary_advanced_child_tax_credit_payments:
          type: number
        secondary_advanced_child_tax_credit_payments:
          type: number
        additional_child_tax_credit_earned_income:
          type: number
        eic_prior_year_earned_income:
          type: number
        ctc_prior_year_earned_income:
          type: number
        qualified_business_income_deduction_duplicate:
          type: number
        form8995_qualified_business_income_deduction_computer:
          type: number
        form8995_net_capital_gains_computer:
          type: number
        primary_economic_impact_payment:
          type: number
        secondary_economic_impact_payment:
          type: number
        scholarship_fellowship_grant:
          type: number
        total_income:
          type: number
        total_income_per_computer:
          type: number
        treaty_exempt_income:
          type: number
        total_eff_connected_income:
          type: number
        total_eff_connected_income_per_computer:
          type: number
        farm_income_loss_schedule_f:
          type: number
        farm_income_loss_schedule_f_per_computer:
          type: number
    RefundOrAmountOwedModel:
      type: object
      properties:
        refund_amount:
          type: number
        amount_you_owe:
          type: number
        estimated_tax_credit_applied_to_next_year:
          type: number
        estimated_tax_penalty:
          type: number
        tax_on_income_less_state_refund_per_computer:
          type: number
        bal_due_over_pymt_using_tp_fig_per_computer:
          type: number
        bal_due_over_pymt_using_computer_figures:
          type: number
        form_8888_total_refund_per_computer:
          type: number
    AdjustmentsToIncomeModel:
      type: object
      properties:
        educator_expenses:
          type: number
        educator_expenses_per_computer:
          type: number
        reservist_and_other_business_expense:
          type: number
        health_savings_account_deduction:
          type: number
        health_savings_account_deduction_per_computer:
          type: number
        moving_expenses_f3903:
          type: number
        self_employment_tax_deduction:
          type: number
        self_employment_tax_deduction_per_computer:
          type: number
        self_employment_tax_deduction_verified:
          type: number
        keogh_sep_contribution_deduction:
          type: number
        self_employment_health_insurance_deduction:
          type: number
        early_withdrawal_of_savings_penalty:
          type: number
        alimony_paid_ssn:
          type: string
        alimony_paid:
          type: number
        ira_deduction:
          type: number
        ira_deduction_per_computer:
          type: number
        student_loan_interest_deduction:
          type: number
        student_loan_interest_deduction_per_computer:
          type: number
        student_loan_interest_deduction_verified:
          type: number
        total_other_payment_refundable_credit_per_computer:
          type: number
        total_other_payment_refund_verified:
          type: number
        other_adjustments:
          type: number
        archer_msa_deduction:
          type: number
        archer_msa_deduction_per_computer:
          type: number
        domestic_production_activities_deduction:
          type: number
        total_adjustments:
          type: number
        total_adjustments_per_computer:
          type: number
        adjusted_gross_income:
          type: number
        adjusted_gross_income_per_computer:
          type: number
        qualified_business_income_deduction:
          type: number
        f8995_qualified_business_income_deduction_computer:
          type: number
        primary_economic_impact_payment:
          type: number
        secondary_economic_impact_payment:
          type: number
        scholarship_fellowship_grant:
          type: number
        scholarship_fellowship_excluded:
          type: number
    TaxAndCreditsModel:
      type: object
      properties:
        over_65:
          type: boolean
        blind:
          type: boolean
        spouse_over_65:
          type: boolean
        spouse_blind:
          type: boolean
        standard_deduction_per_computer:
          type: number
        additional_standard_deduction_per_computer:
          type: number
        tax_table_income_per_computer:
          type: number
        exemption_per_computer:
          type: number
        taxable_income:
          type: number
        taxable_income_per_computer:
          type: number
        total_positive_income_per_computer:
          type: number
        tentative_tax:
          type: number
        tentative_tax_per_computer:
          type: number
        form_8814_additional_tax:
          type: number
        tax_on_income_less_social_security_income_per_computer:
          type: number
        form_6251_alternative_minimum_tax:
          type: number
        form_6251_alternative_minimum_tax_per_computer:
          type: number
        foreign_tax_credit:
          type: number
        foreign_tax_credit_per_computer:
          type: number
        foreign_income_exclusion_per_computer:
          type: number
        foreign_income_exclusion_tax_per_computer:
          type: number
        excess_advance_premium_tax_credit_repayment_amount:
          type: number
        excess_advance_premium_tax_credit_repayment_verified_amount:
          type: number
        child_dependent_care_credit:
          type: number
        child_dependent_care_credit_per_computer:
          type: number
        credit_for_elderly_and_disabled:
          type: number
        credit_for_elderly_and_disabled_per_computer:
          type: number
        education_credit:
          type: number
        education_credit_per_computer:
          type: number
        gross_education_credit_per_computer:
          type: number
        retirement_savings_contribution_credit:
          type: number
        retirement_savings_contribution_credit_per_computer:
          type: number
        total_retirement_savings_contribution_f8880_computer:
          type: number
        primary_retirement_savings_contribution_f8880_ln6a:
          type: number
        secondary_retirement_savings_contribution_f8880_ln6b:
          type: number
        residential_clean_energy_credit:
          type: number
        residential_energy_credit_per_computer:
          type: number
        child_and_other_dependent_credit:
          type: number
        child_and_other_dependent_credit_per_computer:
          type: number
        adoption_credit_f8839:
          type: number
        adoption_credit_per_computer:
          type: number
        form_8396_mortgage_certificate_credit:
          type: number
        form_8396_mortgage_certificate_credit_per_computer:
          type: number
        total_other_non_refundable_credit:
          type: number
        form_3800_general_business_credits:
          type: number
        form_3800_general_business_credits_per_computer:
          type: number
        prior_year_minimum_tax_credit_f8801:
          type: number
        prior_year_minimum_tax_credit_f8801_per_computer:
          type: number
        earlier_year_income_repayment_credit:
          type: number
        clean_vehicle_credit:
          type: number
        clean_vehicle_credit_per_computer:
          type: number
        f8910_alternative_motor_vehicle_credit_amount:
          type: number
        f8910_alternative_motor_vehicle_credit_per_computer:
          type: number
        f8936_electric_motor_vehicle_credit_amount:
          type: number
        f8936_electric_motor_vehicle_credit_per_computer:
          type: number
        sick_family_leave_credit:
          type: number
        non_itemized_charitable_contribution_deduction:
          type: number
        non_itemized_charitable_contribution_per_computer:
          type: number
        refundable_child_care_credit:
          type: number
        sick_family_leave_credit_after_331:
          type: number
        refundable_child_care_credit_verified:
          type: number
        recovery_rebate_credit:
          type: number
        recovery_rebate_credit_per_computer:
          type: number
        recovery_rebate_credit_verified:
          type: number
        other_credits:
          type: number
        total_credits:
          type: number
        total_credits_per_computer:
          type: number
        income_tax_after_credits_per_computer:
          type: number
        advanced_manufacturing_credit_per_computer:
          type: number
        advanced_manufacturing_invest_credit_per_computer:
          type: number
        clean_hydrogen_production_credit_per_computer:
          type: number
        carbon_oxide_sequestration_credit_per_computer:
          type: number
        energy_efficient_home_credit_per_computer:
          type: number
        energy_efficient_home_credit:
          type: number
        pre_owned_clean_vehicle_credit_per_computer:
          type: number
        pre_owned_clean_vehicle_credit:
          type: number
        pre_owned_clean_vehicle_verified:
          type: number
        new_clean_vehicle_bus_credit_per_computer:
          type: number
        new_clean_vehicle_bus_verified:
          type: number
        commercial_clean_vehicle_credit_per_computer:
          type: number
        commercial_clean_vehicle_verified:
          type: number
        clean_vehicle_credit_verified:
          type: number
    PaymentsModel:
      type: object
      properties:
        federal_income_tax_withheld:
          type: number
        sch_8812_additional_tax:
          type: number
        estimated_tax_payments:
          type: number
        other_payment_credit:
          type: number
        refundable_education_credit:
          type: number
        refundable_education_credit_per_computer:
          type: number
        refundable_education_credit_verified:
          type: number
        refundable_credits:
          type: number
        earned_income_credit:
          type: number
        earned_income_credit_per_computer:
          type: number
        nontaxable_combat_pay:
          type: number
        earned_income_credit_nontaxable_combat_pay:
          type: number
        sch_8812_nontaxable_combat_pay:
          type: number
        sch_8812_tot_ss_medicare_withheld:
          type: number
        excess_social_security_rrta_tax_withheld:
          type: number
        sch_8812_additional_child_tax_credit:
          type: number
        sch_8812_additional_child_tax_credit_per_computer:
          type: number
        sch_8812_additional_child_tax_credit_verified:
          type: number
        amount_paid_with_form_4868:
          type: number
        form_2439_regulated_investment_company_credit:
          type: number
        form_4136_credit_for_federal_tax_on_fuels:
          type: number
        form_4136_credit_for_federal_tax_on_fuels_per_computer:
          type: number
        health_coverage_tax_credit_f8885:
          type: number
        sec_965_tax_installment:
          type: number
        sec_965_tax_liability:
          type: number
        premium_tax_credit_amount:
          type: number
        premium_tax_credit_verified_amount:
          type: number
        primary_nap_first_time_home_buyer_installment_amount:
          type: number
        secondary_nap_first_time_home_buyer_installment_amount:
          type: number
        first_time_homebuyer_credit_repayment_amount:
          type: number
        form_5405_total_homebuyers_credit_repayment_per_computer:
          type: number
        small_employer_health_insurance_per_computer:
          type: number
        small_employer_health_insurance_per_computer_2:
          type: number
        total_other_payments_refundable:
          type: number
        total_payments:
          type: number
        total_payments_per_computer:
          type: number
    OtherTaxesModel:
      type: object
      properties:
        self_employment_tax:
          type: number
        self_employment_tax_per_computer:
          type: number
        social_security_and_medicare_tax_on_unreported_tips:
          type: number
        tax_on_qualified_plans_f5329_pr:
          type: number
        tax_on_qualified_plans_f5329_per_computer:
          type: number
        individual_retirement_account_file_iraf_tax_per_computer:
          type: number
        taxpayer_tax_figures_reduced_by_iraf_per_computer:
          type: number
        individual_master_file_imf_total_tax_reduced_by_iraf_per_computer:
          type: number
        total_other_taxes_per_computer:
          type: number
        unpaid_federal_insurance_contributions_act_fica_on_reported_tips:
          type: number
        f8959_additional_medicare_tax:
          type: number
        f8960_net_investment_income_tax:
          type: number
        interest_on_deferred_tax:
          type: number
        total_other_taxes:
          type: number
        recapture_tax_f8611:
          type: number
        household_employment_taxes:
          type: number
        household_employment_taxes_per_computer:
          type: number
        interest_due_on_installment:
          type: number
        sch_8812_additional_tax_computer:
          type: number
        refundable_child_care_computer:
          type: number
        health_coverage_recapture_f8885:
          type: number
        excess_social_security_tax_withheld_verified:
          type: number
        excess_social_security_tax_withheld_per_computer:
          type: number
        total_additional_taxes:
          type: number
        total_assessment_per_computer:
          type: number
        total_tax_liability_taxpayer_figures:
          type: number
        total_tax_liability_taxpayer_figures_per_computer:
          type: number
        deferred_tax_sch_h_se:
          type: number
        max_deferred_tax_per_computer:
          type: number
        social_security_and_medicare_tax_on_unreported_tips_per_computer:
          type: number
    ScheduleCModel:
      type: object
      properties:
        ssn:
          type: string
        ein:
          type: string
        business_name:
          type: string
        description:
          type: string
        naics:
          type: string
        account_method:
          type: string
        first_time_schedule_c_filed:
          type: string
        statutory_employee_indicator:
          type: string
        income:
          type: object
          properties:
            gross_receipts_or_sales:
              type: number
            returns_allowances:
              type: number
            net_gross_receipts_sales:
              type: number
            cogs:
              type: number
            sch_c_form1099_required:
              type: string
            sch_c_form1099_filed:
              type: string
            other_income:
              type: number
        expenses:
          type: object
          properties:
            car_truck_expenses:
              type: number
            depreciation:
              type: number
            insurance_other_than_health:
              type: number
            mortgage_interest:
              type: number
            legal_professional_services:
              type: number
            repairs_maintenance:
              type: number
            travel:
              type: number
            meals_entertainment:
              type: number
            wages:
              type: number
            other_expenses:
              type: number
            total_expenses:
              type: number
            expense_business_use_home:
              type: number
            schedule_c_net_profit_loss_per_computer:
              type: number
            at_risk_cd_amount:
              type: number
            office_expense:
              type: number
            utilities_expense:
              type: number
        cogs:
          type: object
          properties:
            inventory_beginning:
              type: number
            inventory_end:
              type: number
    ScheduleSEModel:
      type: object
      properties:
        ssn:
          type: string
        net_farm_profit_loss:
          type: number
        conservation_reserve_program_payments:
          type: number
        net_nonfarm_profit_loss:
          type: number
        total_se_income:
          type: number
        se_quarters_covered:
          type: integer
        total_se_tax_per_computer:
          type: number
        se_income_computer_verified:
          type: number
        se_income_per_computer:
          type: number
        total_net_earnings_per_computer:
          type: number
        long_form_only:
          type: object
          properties:
            tentative_church_earnings:
              type: number
            total_soc_sec_rr_wages:
              type: number
            se_ss_tax_computer:
              type: number
            se_medicare_income_per_computer:
              type: number
            se_medicare_tax_per_computer:
              type: number
            se_farm_option_method_used:
              type: integer
            se_optional_method_income:
              type: number
    ScheduleEICModel:
      type: object
      properties:
        qualified_dependents_count:
          type: integer
        dependents:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              ssn:
                type: string
              sch_eic_qualifying:
                type: integer
              year_of_birth:
                type: string
              student_disabled:
                type: integer
              months_lived_with_you:
                type: integer
              relationship:
                type: string
    ScheduleAModel:
      type: object
      properties:
        medical_dental:
          type: object
          properties:
            medical_and_dental_expenses:
              type: number
            adjusted_gross_income_percentage:
              type: number
            adjusted_gross_income_percentage_per_computer_10_percent:
              type: number
            adjusted_gross_income_percentage_per_computer_7_5_percent:
              type: number
            net_medical_deduction:
              type: number
            net_medical_deduction_per_computer:
              type: number
        taxes_paid:
          type: object
          properties:
            state_and_local_income_or_sales_taxes:
              type: number
            real_estate_taxes:
              type: number
            personal_property_taxes:
              type: number
            other_taxes_amount:
              type: number
            sch_a_tax_deductions:
              type: number
            sch_a_tax_per_computer:
              type: number
        interest_paid:
          type: object
          properties:
            mortgage_interest_financial:
              type: number
            mortgage_interest_individual:
              type: number
            deductible_points:
              type: number
            qualified_mortgage_insurance_premiums:
              type: number
            deductible_investment_interest:
              type: number
            total_interest_deduction:
              type: number
            total_interest_deduction_per_computer:
              type: number
        charitable_contributions:
          type: object
          properties:
            cash_contributions:
              type: number
            other_than_cash_form_8283:
              type: number
            carryover_from_prior_year:
              type: number
            sch_a_total_contributions:
              type: number
            sch_a_total_contributions_per_computer:
              type: number
        casualty_and_theft_loss:
          type: object
          properties:
            casualty_or_theft_loss:
              type: number
        jobs_and_miscellaneous:
          type: object
          properties:
            unreimbursed_employee_expense_amount:
              type: number
            total_limited_misc_expenses:
              type: number
            net_limited_misc_deduction:
              type: number
            net_limited_misc_deduction_per_computer:
              type: number
        other_miscellaneous:
          type: object
          properties:
            other_than_gambling_amount:
              type: number
            other_misc_deductions:
              type: number
        total_itemized_deductions:
          type: object
          properties:
            total_itemized_deductions:
              type: number
            total_itemized_deductions_per_computer:
              type: number
    ScheduleDModel:
      type: object
      properties:
        short_term_capital_gains_and_losses:
          $ref: '#/components/schemas/ShortTermCapitalGainsAndLossesModel'
        long_term_capital_gains_and_losses:
          $ref: '#/components/schemas/LongTermCapitalGainsAndLossesModel'
        tax_computation_using_maximum_capital_gains_rates:
          $ref: >-
            #/components/schemas/TaxComputationUsingMaximumCapitalGainsRatesModel
    ThirdPartyDesigneeDetailsModel:
      type: object
      properties:
        third_party_designee_id_number:
          type: string
        authorization_indicator:
          type: integer
        third_party_designee_name:
          type: string
    Form8863Model:
      type: object
      properties:
        education_credits:
          type: object
          properties:
            students:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  ssn:
                    type: string
            tentative_credit_amount:
              type: number
        lifetime_learning_credits:
          type: object
          properties:
            total_lifetime_learning_cr_qlfd_exp:
              type: number
            educational_institution_federal_id_numbers:
              type: array
              items:
                type: string
            second_educational_institution_federal_id_numbers:
              type: array
              items:
                type: string
            prior_year_hope_scholarship_or_aot_credit_claimed:
              type: array
              items:
                type: boolean
            academic_eligibility:
              type: array
              items:
                type: boolean
            post_secondary_complete:
              type: array
              items:
                type: boolean
            felony_conviction:
              type: array
              items:
                type: boolean
            verified_number_of_education_credit_eligible_students:
              type: integer
            total_lifetime_learning_cr_qlfd_exp_per_computer:
              type: number
        allowable_education_credits:
          type: object
          properties:
            gross_education_cr_per_computer:
              type: number
            total_education_credit_amount:
              type: number
            total_education_credit_amount_per_computer:
              type: number
    Form8962Model:
      type: object
      properties:
        married_filing_separately_premium_tax_credit_exception_checkbox_indicator:
          type: integer
        federal_poverty_level_checkbox:
          type: string
        dependents_modified_agi:
          type: number
        monthly_contribution_for_health_care:
          type: number
        annual_premium:
          type: number
        annual_premium_slcsp:
          type: number
        annual_advance_payment_of_ptc:
          type: number
        monthly_premiums:
          type: array
          items:
            type: object
            properties:
              premium:
                type: number
              premium_slcsp:
                type: number
              advance_ptc:
                type: number
            required:
              - premium
              - premium_slcsp
              - advance_ptc
          description: >-
            Monthly premiums for each month of the year. Array indices follow
            the order of the months of the year starting with 0 for January.
        total_premium_tax_credit:
          type: number
        net_premium_tax_credit:
          type: number
    Form2441Model:
      type: object
      properties:
        qualifying_filing_separate:
          type: integer
        f2441_principal_abode:
          type: integer
        prov_name:
          type: string
        care_prov_ssn:
          type: string
        dependent_care_employer_benefits_amt:
          type: number
        qualified_expenses_employer_incurred_amt:
          type: number
        dependent_care_exclusion_amount:
          type: number
        credit_for_child_and_dependent_care_expenses:
          type: object
          properties:
            number_of_qualifying_persons:
              type: integer
            ssns_not_reqd_ind:
              type: integer
            children:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  ssn:
                    type: string
                  qualified_expense:
                    type: number
            amount_of_qualified_expenses:
              type: number
            earned_income_primary:
              type: number
            earned_income_secondary:
[...]
